/*
 * Tapiocaui app
 * Copyright (C) 2005 INdT
 * @author Renato Araujo Oliveira Filho <renato.filho@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 */

#ifndef __TAPIOCAUI_NEW_ACCOUNT_DIALOG_H__
#define __TAPIOCAUI_NEW_ACCOUNT_DIALOG_H__

#include <gtk/gtkwidget.h>
#include <gtk/gtkdialog.h>
#include "tapiocaui_db.h"

G_BEGIN_DECLS

#define TAPIOCAUI_TYPE_NEW_ACCOUNT_DIALOG         (tapiocaui_new_account_dialog_get_type ())
#define TAPIOCAUI_NEW_ACCOUNT_DIALOG(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), TAPIOCAUI_TYPE_NEW_ACCOUNT_DIALOG, TapiocaUINewAccountDialog))
#define TAPIOCAUI_NEW_ACCOUNT_DIALOG_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), TAPIOCAUI_TYPE_NEW_ACCOUNT_DIALOG, TapiocaUINewAccountDialogClass))
#define TAPIOCAUI_IS_NEW_ACCOUNT_DIALOG(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), TAPIOCAUI_TYPE_NEW_ACCOUNT_DIALOG))
#define TAPIOCAUI_IS_NEW_ACCOUNT_DIALOG_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), TAPIOCAUI_TYPE_NEW_ACCOUNT_DIALOG))
#define TAPIOCAUI_NEW_ACCOUNT_DIALOG_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), TAPIOCAUI_TYPE_NEW_ACCOUNT_DIALOG, TapiocaUINewAccountDialogClass))

typedef struct _TapiocaUINewAccountDialog        TapiocaUINewAccountDialog;
typedef struct _TapiocaUINewAccountDialogClass   TapiocaUINewAccountDialogClass;
typedef struct _TapiocaUINewAccountDialogPrivate TapiocaUINewAccountDialogPrivate;

struct _TapiocaUINewAccountDialogClass
{
    GtkDialogClass parent_class;
};

struct _TapiocaUINewAccountDialog
{
    GtkDialog parent;
    
    TapiocaUINewAccountDialogPrivate *priv;
};

GType      tapiocaui_new_account_dialog_get_type (void);
GtkWidget *tapiocaui_new_account_dialog_new      (TapiocaUIDB *db);

G_END_DECLS

#endif
